
#include <stdio.h>
#include "DirMgr.h"

char *GetCWD
#ifdef UseFunctionPrototypes
        (char *path, int size)
#else
        (path, size)
        char *path;
        int size;
#endif
{       char *p = NULL;

        /* On my Sun this uses popen() and wait(). I already have a handler
           on SIGCHLD, and they conflict somehow. I have no idea
           why, but I have to turn off my sighandler first
        */
#ifdef NO_GETCWD
        p = getwd (path);
#else
        p = getcwd (path, size);
#endif
        return p;
}

main ()
{
        DirectoryMgr *dm = NULL;
        char path[MAXPATHLEN + 2];

        GetCWD (path, MAXPATHLEN);

        dm = DirectoryMgrSimpleOpen(path,DIR_MGR_SORT_NAME_DIRS_FIRST, (char *)NULL);
        if (dm == NULL)
        {
                fprintf(stderr,"Can't open directory mgr for '%s'\n",path);
                exit(-1);
        }
	fprintf (stderr, "opened directory %s okay\n", path);
}

